Download
Introduction
CKYC Download is an API that enables a platform to check whether a customer is present on the CKYC repository. If the customer is present, the platform can use this API to download a detailed list of documents uploaded by a regulated entity, as well as customer information.
To use this API, the platform must provide the following parameters:
- CKYC number from CKYC Search
- Type of authentication of the person whose CKYC details are to be downloaded. This can be 01, 02, or 03.
- Auth factor, which depends on the authentication factor type. Refer to the table below for details.
The platform will receive a response from Signzy's CKYC Download API only if CERSAI (Central Registry of Securitisation Asset Reconstruction and Security Interest of India) returns a response based on the authentication factor parameters passed by the platform.
CKYC Download with OCR
CKYC Download with OCR is an extension of the CKYC Download API that allows you to perform optical character recognition (OCR) directly on CKYC documents. To enable OCR, you can include a parameter called "perform_ocr" and set its value to true.
Auth Factor
auth_factor_type | auth_factor |
|---|---|
"01" | Date of birth in the format: "mm-dd-yy". Example: "29-03-1991". |
"02" | A combination of the 6-digit pin code and the year of birth. Example: "5600171992" where 560017 is the pin code and 1992 is the year of birth. |
"03" | A valid 10-digit mobile number of the person whose AADHAAR is linked with. Example: "9001122339". |
Sample Curl
curl --location --request POST 'https://api-preproduction.signzy.app/api/v3/ckyc/distributor/fetch' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"ckycNumber": "<ckyc no>",
"insurerId":"",
"authFactorType": "01|02|03",
"authFactorValue": "...authentication value..."
}'Request Parameters
PARAMETER NAME | DESCRIPTION | REQUIRED |
|---|---|---|
ckycNumber | CKYC Number from distributor ckyc search API | Mandatory |
insurerId/partnerId | Unique identifier for the insurer | Mandatory |
authFactorType | The type of authentication to be used. | Mandatory |
authFactorValue | Authentication Information inline with authFactorType Parameter.Please refer section 2 for it's correct format. | Mandatory |
Sample Response
{
"result": {
"result": {
"personalDetails": {
"constitutionType": "D",
"accountHolderType": "",
"ckycNumber": 80086426834xxx,
"prefix": "",
"firstName": "",
"middleName": "",
"lastName": "",
"fullName": "...company full name...",
"maidenPrefix": "",
"maidenFirstName": "",
"maidenMiddleName": "",
"maidenLastName": "",
"maidenFullName": "",
"fatherSpouseFlag": "",
"fatherSpousePrefix": "",
"fatherSpouseFirstName": "",
"fatherSpouseMiddleName": "",
"fatherSpouseLastName": "",
"fatherSpouseFullName": "",
"motherPrefix": "",
"motherFirstName": "",
"motherMiddleName": "",
"motherLastName": "",
"motherFullName": "",
"gender": "",
"dob": "19/09/2011",
"pan": "AABCF8078M",
"formSixty": "",
"address": {
"permLine1": "BUILDINGS ALYSSA, BEGONIA AND CLOVER",
"permLine2": "EMBASSY TECH VILLAGE, OUTER RING ROAD",
"permLine3": "DEVARABEESANAHALLI VILLAGE",
"permCity": "BANGALORE",
"permDistrict": "",
"permState": "KA",
"permCountry": "IN",
"permPin": 560103,
"permPoa": "06",
"permCorresFlag": "Y",
"corresLine1": "BUILDINGS ALYSSA, BEGONIA AND CLOVER",
"corresLine2": "EMBASSY TECH VILLAGE, OUTER RING ROAD",
"corresLine3": "DEVARABEESANAHALLI VILLAGE",
"corresCity": "BANGALORE",
"corresDistrict": "BENGALURU URBAN",
"corresState": "KA",
"corresCountry": "IN",
"corresPin": 560103,
"corresPoa": "07"
},
"residenceStdCode": "",
"residenceTelephoneNumber": "",
"officeStdCode": "",
"officeTelephoneNumber": "",
"mobileCode": "",
"mobileNumber": "",
"email": "[email protected]",
"remarks": "",
"declarationDate": "27/06/2022",
"declarationPlace": "BANGALORE",
"kycDate": "********",
"documentSubmitted": "01",
"kycName": "********",
"kycDesignation": "********",
"kycBranch": "********",
"kycEmpCode": "********",
"numberOfIdentity": 2,
"numberOfRelatedPersons": 19,
"numberOfImages": 2
},
"identityDetails": [
{
"sequenceNumber": 1,
"identityType": "03",
"identityNumber": "xxxxxBCF8078M1ZX",
"idVerificationStatus": ""
},
{
"sequenceNumber": 2,
"identityType": "02",
"identityNumber": "xxxxx09KA2011PTC060489",
"idVerificationStatus": ""
}
],
"imageDetails": [
{
"sequenceNo": 1,
"imageType": "pdf",
"imageCode": 20,
"globalFlag": "",
"branchCode": "",
"imageData": "https://files.signzy.tech/api/files/465717659/download/66247f5dcea047b29b8eb4d1ee838fe79dbd8b1270af488cada03ac130a8exxx.pdf"
},
{
"sequenceNo": 2,
"imageType": "JPG",
"imageCode": 19,
"globalFlag": "",
"branchCode": "",
"imageData": "https://files.signzy.tech/api/files/465717661/download/f4ea8adbfbb247afa5c0bcd1129d66b82c99b1af734545dbbc237f17356dxxx.JPG"
}
],
"relatedPersonDetails": [
{
"sequenceNo": "",
"relationshipType": "",
"addDelFlag": "",
"ckycNumber": "",
"prefix": "",
"firstName": "",
"middleName": "",
"lastName": "",
"fullName": "",
"maidenPrefix": "",
"maidenFirstName": "",
"maidenMiddleName": "",
"maidenLastName": "",
"maidenFullName": "",
"fatherSpouseFlag": "",
"fatherSpousePrefix": "",
"fatherSpouseFirstName": "",
"fatherSpouseMiddleName": "",
"fatherSpouseLastName": "",
"fatherSpouseFullName": "",
"motherPrefix": "",
"motherFirstName": "",
"motherMiddleName": "",
"motherLastName": "",
"motherFullName": "",
"gender": "",
"dob": "",
"pan": "",
"formSixty": "",
"address": {
"permLine1": "",
"permLine2": "",
"permLine3": "",
"permCity": "",
"permDistrict": "",
"permState": "",
"permCountry": "",
"permPin": "",
"permPoa": "",
"permCorresFlag": "",
"corresLine1": "",
"corresLine2": "",
"corresLine3": "",
"corresCity": "",
"corresDistrict": "",
"corresState": "",
"corresCountry": "",
"corresPin": "",
"corresPoa": ""
},
"residenceStdCode": "",
"residenceTelephoneNumber": "",
"officeStdCode": "",
"officeTelephoneNumber": "",
"mobileCode": "",
"mobileNumber": "",
"email": "",
"remarks": "",
"photoType": "",
"photoData": "",
"permPoiType": "",
"permPoiData": "",
"corresPoiImageType": "",
"corresPoiData": ""
}
]
}
}
}Response Parameters
Parameter | description |
|---|---|
constitutionType | The constitution type of the customer (e.g., individual, company, etc.). |
accountHolderType | The type of account holder (if applicable). |
ckycNumber | The CKYC number of the customer. |
prefix | The prefix of the customer's name. |
firstName | The first name of the customer. |
middleName | The middle name of the customer. |
lastName | The last name of the customer. |
fullName | The full name of the customer. |
maidenPrefix | The maiden prefix of the customer (if applicable). |
maidenFirstName | The maiden first name of the customer (if applicable). |
maidenMiddleName | The maiden middle name of the customer (if applicable). |
maidenLastName | The maiden last name of the customer (if applicable). |
maidenFullName | The maiden full name of the customer (if applicable). |
fatherSpouseFlag | The flag indicating whether the customer's father or spouse information is available. |
fatherSpousePrefix | The prefix of the customer's father or spouse name. |
fatherSpouseFirstName | The first name of the customer's father or spouse. |
fatherSpouseMiddleName | The middle name of the customer's father or spouse. |
fatherSpouseLastName | The last name of the customer's father or spouse. |
fatherSpouseFullName | The full name of the customer's father or spouse. |
motherPrefix | The prefix of the customer's mother name. |
motherFirstName | The first name of the customer's mother. |
motherMiddleName | The middle name of the customer's mother. |
motherLastName | The last name of the customer's mother. |
motherFullName | The full name of the customer's mother. |
gender | The gender of the customer. |
dob | The date of birth of the customer. |
pan | The PAN (Permanent Account Number) of the customer. |
formSixty | The Form 60 details of the customer. |
address.permLine1 | The first line of the permanent address of the customer. |
address.permLine2 | The second line of the permanent address of the customer. |
address.permLine3 | The third line of the permanent address of the customer. |
address.permCity | The city of the permanent address of the customer. |
address.permDistrict | The district of the permanent address of the customer. |
address.permState | The state of the permanent address of the customer. |
address.permCountry | The country of the permanent address of the customer. |
address.permPin | The PIN (Postal Index Number) of the permanent address of the customer. |
address.permPoa | The proof of address document type for the permanent address of the customer. |
address.permCorresFlag | The flag indicating whether the correspondence address is same as the permanent address. |
address.corresLine1 | The first line of the correspondence address of the customer (if applicable). |
address.corresLine2 | The second line of the correspondence address of the customer (if applicable). |
address.corresLine3 | The third line of the correspondence address of the customer |
Error Codes
PARAMETER NAME | DESCRIPTION |
|---|---|
400 | Invalid ID number format |
409 | CONFLICT |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].